Draft PointArray: Difference between revisions

From FreeCAD Documentation
(Created page with "<languages/> <translate> <!--T:1--> {{GuiCommand|Name=Draft PointArray|Workbenches=Draft, Arch|MenuLocation=Draft → PointArray|SeeAlso=Dra...")
 
No edit summary
Line 2: Line 2:
<translate>
<translate>
<!--T:1-->
<!--T:1-->
{{GuiCommand|Name=Draft PointArray|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → PointArray|SeeAlso=[[Draft Array|Draft Array]], [[Draft PathArray]]|Version=0.18}}
{{GuiCommand|Name=Draft PointArray|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → PointArray|SeeAlso=[[Draft Array|Draft Array]], [[Draft PathArray]]|Icon=Draft_PointArray.svg|Version=0.18}}


==Description== <!--T:2-->
==Description== <!--T:2-->

Revision as of 02:23, 5 November 2018

Draft PointArray

Menu location
Draft → PointArray
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
0.18
See also
Draft Array, Draft PathArray

Description

The PointArray tool places copies of a selected shape along various selected points.

How to use

  1. Create a shape object you wish to distribute. You will get the best results if your object is centred around the origin, even if the path starts somewhere else.
  2. Place points using Draft Point
  3. Select the points and create a compound of them using Draft Upgrade
  4. First select your shape, then the new point compound, and then press the Draft PointArray button.

Options

  • The array starts with shape copies which are not aligned to the path, nor translated to a new position by default. You can then change the alignment and/or translation vector in the properties.

Properties

  • DataBase: The shape object
  • DataCount: The number of times to copy the shape (read only)
  • DataPointList: a compound of points

Scripting

The PointArray tool can be used in macros and from the Python console by using the following function:

makePointArray(base, ptlst)
  • base is the shape to copy, and ptlst is a list of points.

Example:

import FreeCAD, Draft
Draft.makePointArray()

Usage Notes

  • in progress

Limitations

  • This tool is not available before version 0.18